%define name kless
%define release 11mdk
%define	version 1.4.8

Name: %{name}
Summary: Text file viewer
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: mini-kless.xpm
Source2: kless_menuentry
Group: File tools
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires: qt kdelibs

%description
Small text file viewer for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat

libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini install



#if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  # mkdir -p $RPM_BUILD_ROOT/usr/doc
#   mv $RPM_BUILD_ROOT/usr/share/doc/kde1/ $RPM_BUILD_ROOT/usr/doc/kde
#fi


# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/menu/kless

# (fg) Mini icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons/mini/kless.xpm

%clean
rm -rf $RPM_BUILD_ROOT 

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files 
%defattr(-,root,root,755)
/usr/bin/kless
/usr/lib/menu/kless
%dir /usr/share/icons
/usr/share/icons/kless.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kless.xpm
%dir /usr/lib/kde1-compat/share/apps
/usr/lib/kde1-compat/share/apps/kless
#%dir /usr/share/locale/*/LC_MESSAGES
#/usr/share/locale/*/LC_MESSAGES/kless.mo
%dir /usr/share/doc/kde1/HTML/*
/usr/share/doc/kde1/HTML/*/kless


%changelog
* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 1.4.8-11mdk
- removed internationnalisation

* Wed Sep 13 2000 Etienne Faure  <etienne@mandraksoft.com> 1.4.8-10mdk
- macros


* Tue Sep 12 2000 Etienne Faure  <etienne@mandraksoft.com> 1.4.8-9mdk
- rebuilt with new lib path and docdir

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.4.8-8mdk

- Redid menu entry
- Fixed group

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4.8-7mdk
- Fix menu entry.

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.4.8-6mdk

- Updated menu entry and files list
- Mini icon

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 1.4.8-5mdk

- Don't use %{_prefix} - too many things can go wrong
- Changed group according to 7.1 specs
- Added menu entry

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

